# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define oldname python-webob1.2
%define fedora 19
%if 0%{?fedora}
%global with_python3 1
%{!?py3ver: %global py3ver %(%{__python3} -c "import sys ; print(sys.version[:3])")}
%endif

%{!?py2ver: %global py2ver %(%{__python} -c "import sys ; print sys.version[:3]")}

%global modname webob

Name:           python-module-webob1.2
Summary:        WSGI request and response object
Version:        1.2.3
Release:        alt2_3
License:        MIT
Group:          System/Libraries
URL:            http://pythonpaste.org/webob/
Source0:        http://pypi.python.org/packages/source/W/WebOb/WebOb-%{version}.tar.gz
Source1:        README.Fedora

# https://github.com/Pylons/webob/issues/75
# Fix build/test issue on python 3
Patch1:         webob-1.2.3-test-headers2-fix.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-nose
BuildRequires:  python-module-dtopt
BuildRequires:  python-module-tempita
BuildRequires:  python-module-wsgiproxy
BuildRequires:  python-module-webtest

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-nose
%endif
Source44: import.info

%description
WebOb provides wrappers around the WSGI request environment, and an object to 
help create WSGI responses. The objects map much of the specified behavior of 
HTTP, including header parsing and accessors for other standard parts of the 
environment.

%if 0%{?with_python3}
%package -n python3-module-webob1.2
Summary:        WSGI request and response object
Group:          System/Libraries

Requires:       python3

%description -n python3-module-webob1.2
WebOb provides wrappers around the WSGI request environment, and an object to 
help create WSGI responses. The objects map much of the specified behavior of 
HTTP, including header parsing and accessors for other standard parts of the 
environment.
%endif

%prep
%setup -q -n WebOb-%{version}
cp -p %{SOURCE1} .
# Disable performance_test, which requires repoze.profile, which isn't
# in Fedora.
%{__rm} -f tests/performance_test.py

%patch1 -p1 -b .test_headers2

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif

%build
%{__python} setup.py build bdist_egg

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py build bdist_egg
popd
%endif

%install
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
easy_install-%{py3ver} -m --prefix %{buildroot}%{_usr} dist/*.egg
%{__chmod} 0644 %{buildroot}%{python3_sitelibdir_noarch}/WebOb-%{version}-*.egg/%{modname}/*.py
popd
%endif

%{__mkdir} -p %{buildroot}%{python_sitelibdir_noarch}
easy_install-%{py2ver} -m --prefix %{buildroot}%{_usr} dist/*.egg
%{__chmod} 0644 %{buildroot}%{python_sitelibdir_noarch}/WebOb-%{version}-*.egg/%{modname}/*.py

%check
%{__python} setup.py test

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py test
popd
%endif

%files
%doc docs/* README.Fedora
%{python_sitelibdir_noarch}/WebOb-%{version}-*.egg

%if 0%{?with_python3}
%files -n python3-module-webob1.2
%doc docs/* README.Fedora
%{python3_sitelibdir_noarch}/WebOb-%{version}-*
%endif

%changelog
* Mon Apr 01 2013 Cronbuild Service <cronbuild@altlinux.org> 1.2.3-alt2_3
- rebuild to get rid of unmets

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_3
- update to new release by fcimport

* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_2
- update to new release by fcimport

* Sun Jan 06 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_8
- initial fc import

